Mozilla NSS

Adaptation of the opsi-template scripts for Mozilla NSS.
Get it here: http://www.gcecad-service.nl/downloads/mozilla-nss.zip
(This includes the binaries, and the opsi script files.)
This version has been compiled with visual crapudio 2013, so it needs the microsoft visual c++ 2013 runtimes to work!

There are no standard Windows binaries available, so you would have to compile NSS yourself. Of course there is an older version in binary available, but the compiling isn't very hard to do.
These two pages provide the information you need, and which I used:
https://developer.mozilla.org/en-US/docs/Mozilla/Projects/NSS/Building
https://developer.mozilla.org/en-US/docs/Mozilla/Developer_guide/Build_Instructions/Windows_Prerequisites
If you do not want to compile it yourself, grab the zip file mentioned earlier.

Do look at the setup script, for the Windows version we copy a few dll files to the installation directory. If these are missing NSS will not work, and this has probably caused some confusion in the past.

[Files_install_32]
copy -s "%ScriptPath%\files\bin\*" "$InstallDir32$"
 
; Copy all dlls from lib directory
copy "%ScriptPath%\files\lib\freebl3.dll" "$InstallDir32$"
copy "%ScriptPath%\files\lib\nss3.dll" "$InstallDir32$"
copy "%ScriptPath%\files\lib\nssckbi.dll" "$InstallDir32$"
copy "%ScriptPath%\files\lib\nssdbm3.dll" "$InstallDir32$"
copy "%ScriptPath%\files\lib\nssutil3.dll" "$InstallDir32$"
copy "%ScriptPath%\files\lib\smime3.dll" "$InstallDir32$"
copy "%ScriptPath%\files\lib\softokn3.dll" "$InstallDir32$"
copy "%ScriptPath%\files\lib\sqlite3.dll" "$InstallDir32$"
copy "%ScriptPath%\files\lib\libssl3.dll" "$InstallDir32$"

Why didn't I use *.dll here? Oh well..

control file

[Package]
version: 1
depends: 
incremental: False
 
[Product]
type: localboot
id: mozilla-nss
name: Mozilla NSS
description: Network Security Services (NSS) is a set of libraries to support security-enabled client and server applications. NSS can support SSLv2, SSLv3, TLS, PKCS5, PKCS7, PKCS11, PKCS12, S/MIME, X.509 v3 certificates and other security standards.
advice: This package is needed for Mozilla Firefox and Mozilla Thunderbird, to edit their certificate storages.
version: 3.19.1
priority: 0
licenseRequired: False
productClasses: 
setupScript: setup3264.ins
uninstallScript: uninstall3264.ins
updateScript: 
alwaysScript: 
onceScript: 
customScript: 
userLoginScript: 
 
[Changelog]
mozilla-nss (3.17.3-1) testing; urgency=low
 
  * Initial package
 
 -- ICT <ict@gcecad-service.nl>  Thu, 18 Dec 2014 00:27:48 +0000

QR Code
QR Code userspace:mozilla_nss_with_binaries (generated for current page)